package org.project.entity;

public interface Entity {
    void attack(Entity target);

    void heal(int health);

    void takeDamage(int damage);

    public abstract boolean isDead();

    public abstract boolean isCritical();

    public abstract void makeCritical(boolean value);

    public abstract boolean isStunned();

    public abstract void stun(boolean value);


}
